This is EllipticIntegrals.info, produced by Macaulay2, version 1.25.05

EllipticIntegrals
*****************

Description
===========

This package provides some functions for computing elliptic integrals and
elliptic functions. The basis for the computations is the arithmetic geometric
mean, and the notation we use comes from the paper The arithogeometric mean
(see http://dangrayson.com/cv.xhtml#agm ), Archiv der Mathematik, volume 52,
1989, pages 507-512.

Author
======

  * Daniel R. Grayson (see http://www.math.uiuc.edu/~dan/ ) <dan@math.uiuc.edu>

Version
=======

This documentation describes version 1.0 of EllipticIntegrals.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{EllipticIntegralsSource,                                               |
|  title = {{EllipticIntegrals: uniformization of elliptic curves. Version~1.0|
|  author = {Daniel R. Grayson},                                              |
|  howpublished = {A \emph{Macaulay2} package available at                    |
|    \url{https://github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages}} |
|}                                                                            |
|-----------------------------------------------------------------------------|
|}},                                                                          |
+-----------------------------------------------------------------------------+

Exports
=======

  * Types
      * EllipticCurve (missing documentation)
      * EllipticCurvePoint (missing documentation)
  * Functions and commands
      * distance (missing documentation)
  * Methods
      * - EllipticCurvePoint (missing documentation)
      * conjugate(EllipticCurvePoint) (missing documentation)
      * EllipticCurve List (missing documentation)
      * EllipticCurvePoint + EllipticCurvePoint (missing documentation)
      * EllipticCurvePoint - EllipticCurvePoint (missing documentation)
      * Function _ EllipticCurve (missing documentation)
      * isReal(EllipticCurve) (missing documentation)
      * isReal(EllipticCurvePoint) (missing documentation)
      * net(EllipticCurve) (missing documentation)
      * net(EllipticCurvePoint) (missing documentation)
      * new EllipticCurve from List (missing documentation)
      * precision(EllipticCurve) (missing documentation)
      * toString(EllipticCurve) (missing documentation)
      * toString(EllipticCurvePoint) (missing documentation)
  * Symbols
      * checkEquation (missing documentation)
      * modPeriods (missing documentation)
      * Period (missing documentation)
      * Period' (missing documentation)
      * periodCoordinates (missing documentation)
      * PointClass (missing documentation)
      * test (missing documentation)

For the programmer
==================

The object EllipticIntegrals, is a package (Macaulay2Doc),
defined in EllipticIntegrals.m2.

-------------------------------------------------------------------------------

The source of this document is in EllipticIntegrals.m2:474:0.

checkEquation
*************

For the programmer
==================

The object checkEquation (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

distance
********

For the programmer
==================

The object distance (missing documentation) is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

EllipticCurve
*************

Methods that use an object of class EllipticCurve:
==================================================

  * EllipticCurve List (missing documentation)
  * Function _ EllipticCurve (missing documentation)
  * isReal(EllipticCurve) (missing documentation)
  * net(EllipticCurve) (missing documentation)
  * new EllipticCurve from List (missing documentation)
  * precision(EllipticCurve) (missing documentation)
  * toString(EllipticCurve) (missing documentation)

For the programmer
==================

The object EllipticCurve (missing documentation) is a type (Macaulay2Doc),
with ancestor classes ProjectiveVariety (Varieties),
< Variety (Varieties) <
MutableHashTable (Macaulay2Doc) < HashTable (Macaulay2Doc)
< Thing (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

EllipticCurvePoint
******************

Methods that use an object of class EllipticCurvePoint:
=======================================================

  * - EllipticCurvePoint (missing documentation)
  * conjugate(EllipticCurvePoint) (missing documentation)
  * EllipticCurvePoint + EllipticCurvePoint (missing documentation)
  * EllipticCurvePoint - EllipticCurvePoint (missing documentation)
  * isReal(EllipticCurvePoint) (missing documentation)
  * net(EllipticCurvePoint) (missing documentation)
  * toString(EllipticCurvePoint) (missing documentation)

For the programmer
==================

The object EllipticCurvePoint (missing documentation) is a type (Macaulay2Doc),
with ancestor classes List (Macaulay2Doc), <
VisibleList (Macaulay2Doc) < BasicList (Macaulay2Doc)
< Thing (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

modPeriods
**********

For the programmer
==================

The object modPeriods (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

Period
******

For the programmer
==================

The object Period (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

Period'
*******

For the programmer
==================

The object Period' (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

periodCoordinates
*****************

For the programmer
==================

The object periodCoordinates (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

PointClass
**********

For the programmer
==================

The object PointClass (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.

test
****

For the programmer
==================

The object test (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in
/home/runner/work/M2/M2/M2/BUILD/build/Macaulay2/packages/currentString:2:0.